"Unable to use /tmp"

If it doesn't relate to Debian, but you still want to share it, please do it here

"Unable to use /tmp"

Postby Tikol » 2018-08-10 04:40

This error comes up when installing SoftEther VPN
How to get rid of it ?

Please help !

Code: Select all
Welcome to Termux!

Wiki:            https://wiki.termux.com
Community forum: https://termux.com/community
IRC channel:     #termux on freenode
Gitter chat:     https://gitter.im/termux/termux
Mailing list:    termux+subscribe@groups.io

Search packages:   pkg search <query>
Install a package: pkg install <package>
Upgrade packages:  pkg upgrade
Learn more:        pkg help
$ cd v4.27-9668
$ ls
AUTHORS.TXT        ChangeLog.txt  README           bin        debian
BUILD_UNIX.TXT     LICENSE        README.TXT       centos     src
BUILD_WINDOWS.TXT  LICENSE.TXT    THIRD_PARTY.TXT  compat     systemd
ChangeLog          Makefile       WARNING.TXT      configure  tmp
$ make
tmp/hamcorebuilder src/bin/hamcore/ src/bin/BuiltHamcoreFiles/unix/hamcore.se2
Unable to use /tmp.

cp src/bin/BuiltHamcoreFiles/unix/hamcore.se2 bin/vpnserver/hamcore.se2
cp: cannot stat 'src/bin/BuiltHamcoreFiles/unix/hamcore.se2': No such file or directory
make: *** [Makefile:331: bin/vpnserver/hamcore.se2] Error 1
$
Tikol
 
Posts: 5
Joined: 2018-08-07 04:43

Re: "Unable to use /tmp"

Postby Segfault » 2018-08-10 09:52

Code: Select all
git clone https://github.com/SoftEtherVPN/SoftEtherVPN.git
git submodule init && git submodule update
cd SoftEtherVPN
./configure
make -C tmp
make -C tmp install

These are the instructions to build, where exactly you get stuck?
Segfault
 
Posts: 816
Joined: 2005-09-24 12:24

Re: "Unable to use /tmp"

Postby kopper » 2018-08-10 10:21

Code: Select all
Welcome to Termux!

Wiki:            https://wiki.termux.com
Community forum: https://termux.com/community
IRC channel:     #termux on freenode
Gitter chat:     https://gitter.im/termux/termux
Mailing list:    termux+subscribe@groups.io

Search packages:   pkg search <query>
Install a package: pkg install <package>
Upgrade packages:  pkg upgrade
Learn more:        pkg help

Are you trying to install this on your phone?
Debian 9.5 Stable with i3
Secure your stuff: Securing Debian Manual
Don't break your stuff: Source List Management DontBreakDebian
kopper
 
Posts: 126
Joined: 2016-09-30 14:30

Re: "Unable to use /tmp"

Postby Tikol » 2018-08-11 01:36

Segfault wrote:
Code: Select all
git clone https://github.com/SoftEtherVPN/SoftEtherVPN.git
git submodule init && git submodule update
cd SoftEtherVPN
./configure
make -C tmp
make -C tmp install

These are the instructions to build, where exactly you get stuck?



Thank you for your response sir !

I followed your instruction and got this error...

Code: Select all
Welcome to Termux!

Wiki:            https://wiki.termux.com
Community forum: https://termux.com/community
IRC channel:     #termux on freenode
Gitter chat:     https://gitter.im/termux/termux
Mailing list:    termux+subscribe@groups.io

Search packages:   pkg search <query>
Install a package: pkg install <package>
Upgrade packages:  pkg upgrade
Learn more:        pkg help
$ cd SoftEtherVPN
$ ls
AUTHORS.TXT     DISCLAIMER.md  centos       src
CMakeLists.txt  LICENSE        configure    systemd
ChangeLog       README.md      description  tmp
$ ./configure
---------------------------------------------------------------------
SoftEther VPN for Unix

Copyright (c) SoftEther VPN Project at University of Tsukuba, Japan.
Copyright (c) Daiyuu Nobori. All Rights Reserved.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

Read and understand README.TXT, LICENSE.TXT and WARNING.TXT before use.
---------------------------------------------------------------------

Welcome to the corner-cutting configure script !

CMake Error at /data/data/com.termux/files/usr/share/cmake-3.11/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find ZLIB (missing: ZLIB_LIBRARY) (found version "1.2.8")
Call Stack (most recent call first):
  /data/data/com.termux/files/usr/share/cmake-3.11/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  /data/data/com.termux/files/usr/share/cmake-3.11/Modules/FindZLIB.cmake:112 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
  src/Mayaqua/CMakeLists.txt:17 (find_package)


-- Configuring incomplete, errors occurred!
See also "/data/data/com.termux/files/home/SoftEtherVPN/tmp/CMakeFiles/CMakeOutput.log".

The Makefile is generated. Run 'make -C tmp' to build SoftEther VPN.
$
Tikol
 
Posts: 5
Joined: 2018-08-07 04:43

Re: "Unable to use /tmp"

Postby Tikol » 2018-08-11 01:39

kopper wrote:
Code: Select all
Welcome to Termux!

Wiki:            https://wiki.termux.com
Community forum: https://termux.com/community
IRC channel:     #termux on freenode
Gitter chat:     https://gitter.im/termux/termux
Mailing list:    termux+subscribe@groups.io

Search packages:   pkg search <query>
Install a package: pkg install <package>
Upgrade packages:  pkg upgrade
Learn more:        pkg help

Are you trying to install this on your phone?


Yes sir ! I'm using Termux on Android based on Debian.
Tikol
 
Posts: 5
Joined: 2018-08-07 04:43

Re: "Unable to use /tmp"

Postby dilberts_left_nut » 2018-08-11 01:56

AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4913
Joined: 2009-10-05 07:54
Location: enzed


Return to Offtopic

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable